petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatLMVMSetJ0KSP

Allows the user to provide a pre-configured KSP solver for the initial inverse-Jacobian approximation. This KSP solver should already contain all the operators necessary to perform the inversion. The LMVM matrix only calls KSPSolve() without changing any other options.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode MatLMVMSetJ0KSP(Mat B, KSP J0ksp)

### Input Parameters

| B | - An LMVM-type matrix
| J0ksp | - KSP solver for the initial inverse-Jacobian application

### See Also

MatLMVMGetJ0KSP()

### Level

advanced

### Location

src/ksp/ksp/utils/lmvm/lmvmutils.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages